#!/usr/bin/perl -T
#!/usr/bin/env perl

# railroad crossing gate thingy, railroad.main.cgi 

## Start user config
#
# file that contains the railroad gate's current status
$status = "/tmp/.railroad.status";
# url to refresh
$refresh = "http://127.0.0.1/cgi-bin/railroad.main.cgi";
#
## End user config

# Setup
#
select STDOUT;
$| = 1;

# Send MIME type
#
print "Content-type:text/html\n\n";

# Get current railroad gate status
#
open ST, $status;
	chomp($stat = <ST>);
close ST;

$stat =~ tr/a-z//csd;

if (!$stat) {
	$stat = "Unknown";
}

# Draw me a web page
#
print <<END_OF_FILE;
<html>
<body>
<meta http-equiv="Refresh" content="15; url=$refresh">
<center><h1>(World's First?) Web Controlled Railroad Crossing Gate</h1></center><p>
<hr noshade><p>
The railroad crossing gate is currently <b>$stat</b><p>
<form method="POST" action="./railroad.cgi">
<b>Choose: </b><select name="opt"><option selected>up<option>down</select>
<input type="submit" value="send">
</form>
</body>
</html>
END_OF_FILE
